import Vue from 'vue'
import Router from 'vue-router'
const routerPush = Router.prototype.push
Vue.use(Router)
const ter = new Router({
	// mode: 'history',
	base: process.env.BASE_URL,
	routes: [{
			path: '/',
			redirect: '/home'
		},
		{
			path: '/home',
			name: 'home',
			component: () => import('../views/Home.vue'),
			meta: {
				title: '添利'
			}
		},
		{
			path: '/about',
			name: 'about',
			component: () => import('../views/About.vue'),
			redirect: '/about/Company',
			meta: {
				title: '关于我们'
			},
			children: [{
					path: 'company',
					name: 'company',
					component: () => import('../views/about/Company.vue'),
					meta: {
						title: '公司介绍'
					}
				},
				{
					path: 'Concat',
					name: 'concat',
					component: () => import('../views/about/Concat.vue'),
					meta: {
						title: '联系我们'
					}
				},
				{
					path: 'Product',
					name: 'product',
					component: () => import('../views/about/Product.vue'),
					meta: {
						title: '产品介绍'
					}
				}
			]
		}

		// {
		// 	path: '*',
		// 	redirect: '/home'
		// }
	]
})

export default ter
